Du bist nicht angemeldet. Der Zugriff auf einige Boards wurde daher deaktiviert.

#1 26. Oktober 2016 15:03

COR9
Server-Pate
Ort: Dresden
Registriert: 09. November 2010
Beiträge: 267

Versions-Dschungel CG-Module für 1.12.2

Ist jemandem auf die Schnelle geläufig, welches die stabilen Versionen letzter Hand für folgende Module sind, die ordentlich zusammenarbeiten?
Kern: 1.12.2

  • CGBlog

  • CGSimpleSmarty

  • CGExtensions

Offline

#2 26. Oktober 2016 17:10

cyberman
Moderator
Ort: Dohna / Sachsen
Registriert: 13. September 2010
Beiträge: 6.878
Webseite

Re: Versions-Dschungel CG-Module für 1.12.2

Schau mal hier

https://www.cmsmadesimple.de/forum/view … 410#p39410

Nur CGBlog musste mal schauen. Alternativ -die letzte Version vor März 2016.


1. Wie bekomme ich hier schnelle Hilfe?
2. HowTo: Fehlersuche bei CMS/ms
---
„First they ignore you, then they laugh at you, then they fight you, then you win.“ Mahatma Ghandi

Offline

#3 26. Oktober 2016 17:31

Jamman
Server-Pate
Ort: Greimerath
Registriert: 21. März 2013
Beiträge: 85

Re: Versions-Dschungel CG-Module für 1.12.2

N'Abend,

Also ich habe CGBlog 1.14, CGSimpleSmarty 1.10 und CGExtensions 1.53.12 für meine Begriffe stabil laufen.

Für Blog und Extensions bietet der MM allerdings einen Sprung an ... hab ich (noch) nicht gemacht.

Gruß

Offline

#4 26. Oktober 2016 21:52

COR9
Server-Pate
Ort: Dresden
Registriert: 09. November 2010
Beiträge: 267

Re: Versions-Dschungel CG-Module für 1.12.2

Danke Euch beiden. Ich check das mal ab.

Offline

#5 27. Oktober 2016 06:42

cyberman
Moderator
Ort: Dohna / Sachsen
Registriert: 13. September 2010
Beiträge: 6.878
Webseite

Re: Versions-Dschungel CG-Module für 1.12.2

Jamman schrieb:

Für Blog und Extensions bietet der MM allerdings einen Sprung an ... hab ich (noch) nicht gemacht.

Klare Empfehlung - tu es nicht wink.

Der ModulManager schaut nur nach der letzten Modulversion, nicht nach der CMSMS-Version. Im schlimmsten Fall zerschiesst es dir die komplette Installation, wie im oben verlinkten Beitrag geschehen.

Zudem (ich weiß, ich wiederhol mich) ... Finger weg vom ModulManager. Ist ein unnötiges Sicherheitsrisiko. Zum einen erfordert dessen Nutzung erweiterte Schreibrechte auf das /modules Verzeichnis. Und zum anderen ist die Verbindung zum Modulserver unverschlüsselt - oder anders formuliert, jeder einigermaßen versierte Hacker könnte dir da etwas unterschieben.

@Jamman: Wollten wir da nicht mal ein eigenes Verzeichnis aufbauen wink?


1. Wie bekomme ich hier schnelle Hilfe?
2. HowTo: Fehlersuche bei CMS/ms
---
„First they ignore you, then they laugh at you, then they fight you, then you win.“ Mahatma Ghandi

Offline

#6 27. Oktober 2016 09:42

Jamman
Server-Pate
Ort: Greimerath
Registriert: 21. März 2013
Beiträge: 85

Re: Versions-Dschungel CG-Module für 1.12.2

Klare Empfehlung - tu es nicht.

Ich weiß, und ich tue es auch nicht, denn die Probleme sind mir bekannt.

@Cyberman: Was das Verzeichnis betrifft, hast du mehr als Recht und ich träufel mir schon seit Wochen Asche über's Haupt, aber die Zeit hat es absolut nicht zugelassen. Sorry dafür, aber ich betrachte es nur als aufgeschoben und würde da schon nochmal drangehen, sobald es die Zeit wieder zulässt.
Aber manchmal geht's halt rund im Leben ... Ich denke, ihr kennt das  sad

So Long, ich bleib an Bord
Gruß

Offline

#7 27. Oktober 2016 09:46

nockenfell
Moderator
Ort: Lenzburg, Schweiz
Registriert: 09. November 2010
Beiträge: 2.807
Webseite

Re: Versions-Dschungel CG-Module für 1.12.2

cyberman schrieb:

Der ModulManager schaut nur nach der letzten Modulversion, nicht nach der CMSMS-Version. Im schlimmsten Fall zerschiesst es dir die komplette Installation, wie im oben verlinkten Beitrag geschehen.

Das stimmt nicht. Ich habe es nicht komplett nachkontrolliert um es empirisch zu beweisen. Ich habe allerdings einige V2er Updates in der letzten Zeit gemacht. Der Modul Manager zeigt für die 1.10er, die 1.11er, die 1.12er und die 2.x jeweils andere Modulversionen an. Am direktesten weiss ich dies vom TinyMCE. Die neusten Versionen werden nur in der 2.x angezeigt.


[dieser Beitrag wurde mit 100% recycled bits geschrieben]
Mein Blog  /   Diverse Links rund um CMS Made Simple
Module: btAdminer, ToolBox

Offline

#8 29. Oktober 2016 17:02

cyberman
Moderator
Ort: Dohna / Sachsen
Registriert: 13. September 2010
Beiträge: 6.878
Webseite

Re: Versions-Dschungel CG-Module für 1.12.2

nockenfell schrieb:

Der Modul Manager zeigt für die 1.10er, die 1.11er, die 1.12er und die 2.x jeweils andere Modulversionen an.

Ok roll - dann frag ich mich allerdings wirklich, wie es @Dancer62 beim Update das System zerschießen konnte.

Denn falls dies wie NaN's Hinweisen beschrieben tatsächlich auf Änderungen von Arrays in Objekte o.ä. zurückzuführen ist, was die Lauffähigkeit des Systems de facto zerstört, darf es nach meiner bescheidenen Meinung nicht Otto Normaluser als Update angeboten werden. Ist ja glatter (Webseiten-)Selbstmord...


1. Wie bekomme ich hier schnelle Hilfe?
2. HowTo: Fehlersuche bei CMS/ms
---
„First they ignore you, then they laugh at you, then they fight you, then you win.“ Mahatma Ghandi

Offline

#9 29. Oktober 2016 20:13

cyberman
Moderator
Ort: Dohna / Sachsen
Registriert: 13. September 2010
Beiträge: 6.878
Webseite

Re: Versions-Dschungel CG-Module für 1.12.2

Jamman schrieb:

@Cyberman: Was das Verzeichnis betrifft, hast du mehr als Recht und ich träufel mir schon seit Wochen Asche über's Haupt, aber die Zeit hat es absolut nicht zugelassen.

Ist nicht so schlimm - hänge auch arg hinterher hmm ... dafür bräuchte es schon einen Fulltime-Job. Aber den bezahlt mir ja keiner devil .


1. Wie bekomme ich hier schnelle Hilfe?
2. HowTo: Fehlersuche bei CMS/ms
---
„First they ignore you, then they laugh at you, then they fight you, then you win.“ Mahatma Ghandi

Offline

#10 29. Oktober 2016 20:13

nockenfell
Moderator
Ort: Lenzburg, Schweiz
Registriert: 09. November 2010
Beiträge: 2.807
Webseite

Re: Versions-Dschungel CG-Module für 1.12.2

Ach, ein System ist einfacher zerschossen als geflickt. Ist mir selber auch schon passiert. Am Schluss war es irgendwo eine Kleinigkeit. Diese musste aber erst gefunden werden.

  • Nicht korrektes Update (welche Dateien wurden nicht aktualisiert)

  • Grundlagen haben sich geändert array -> object

  • Kein Backup (dann geht es sicher schief)

  • Nonsense: Eine Einstellung in einem Modul ändern und alles läuft

Du kannst wählen. Es gibt sicher noch X-weitere Punkte warum ein Update fehlschlagen kann. Machmal ist es auch einfacher eine Seite komplett neu mit allen Modulen zu bauen. Wenn sie dann funktioniert, weiss man, dass die Konstellation grundsätzlich gehen müsste. Danach DB tauschen. Funktioniert es nicht, kann man Tabelle um Tabelle die Daten einspielen. Aufwändig, aber manchmal auch zielführend.


[dieser Beitrag wurde mit 100% recycled bits geschrieben]
Mein Blog  /   Diverse Links rund um CMS Made Simple
Module: btAdminer, ToolBox

Offline

#11 04. April 2017 10:38

COR9
Server-Pate
Ort: Dresden
Registriert: 09. November 2010
Beiträge: 267

Re: Versions-Dschungel CG-Module für 1.12.2

Bin mal wieder am Suchen für das CGExtensions-Modul.
Nach der »Versionslogik« sollte 1.53.19 noch mit Core 1.12.2 funktionieren, oder wie seht Ihr das?
Für Folgeversion 1.54 sagen die Release Notes, dass nun min. Core 2.1.5+ benötigt wird.

Ich bin nebenbei mal wieder reingefallen und hatte ein halb zerkrümeltes Backend, weil nirgends gewarnt wurde, dass SiteMapMadeSimple die diktatorschen Erweiterungen braucht ...

EDIT: Core 1.12.2, CGExtensions 1.53.19 und SiteMapMadeSimple 1.2.8 funktionieren bei mir zusammen.

Beitrag geändert von COR9 (04. April 2017 14:22)

Offline